{% extends 'newbase.html' %}
{% block content %}
<div class="row bg-title">
    <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
        <h4 class="page-title">Tabs</h4> </div>
    <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
        <ol class="breadcrumb">
            <li><a href="/tasks/dashboard/">Dashboard</a></li>
        </ol>
    </div>
</div>
<div class="row">
    <!-- col-md-3 -->
    <!-- col-md-3 -->
    <div class="col-md-6 col-lg-7 col-sm-12">

        <div class="white-box p-b-0">
            <div class="row">
                <div class="col-xs-8">
                    <h2 class="font-medium m-t-0">添加一个新的</h2>
                    <h5 class="text-muted m-t-0"></h5></div>
                <div class="col-xs-4">
                        <button aria-expanded="false" data-toggle="dropdown" class="circle-md pull-right circle bg-info" type="button" style="padding-top:5px"><i class="ti-plus"></i></button>
                        <ul role="menu" class="dropdown-menu animated flipInX">
                            <li><a href="{% url 'tasks:add_group' %}">分组</a></li>
                            <li><a href="{% url 'tasks:add_project' %}">项目</a></li>
                            <li><a href="{% url 'tasks:add_branch' %}">分支</a></li>
                        </ul>
                </div>
            </div>
            <div class="row m-t-30 minus-margin">
                <div class="col-sm-12 col-sm-6 b-t b-r">
                    <ul class="expense-box">
                        <li><i class="fa fa-product-hunt text-info"></i><span><h2>{{ project_count }}</h2><h5 class="text-muted m-t-0">项目总数</h5></span></li>
                    </ul>
                </div>
                <div class="col-sm-12 col-sm-6  b-t">
                    <ul class="expense-box">
                        <li><i class="fa fa-tasks text-info"></i><span><h2>{{ task_count }}</h2><h5 class="text-muted m-t-0">历史任务总数</h5></span></li>
                    </ul>
                </div>
            </div>
            <div class="row minus-margin">
                <div class="col-sm-12 col-sm-6  b-t b-r">
                    <ul class="expense-box">
                        <li><i class="fa fa-group text-info"></i><span><h2>{{ group_count }}</h2><h5 class="text-muted m-t-0">分组总数</h5></span></li>
                    </ul>
                </div>
                <div class="col-sm-12 col-sm-6  b-t">
                    <ul class="expense-box">
{#                        <li><i class="ti-shopping-cart text-info"></i><span><h2></h2><h4></h4></span></li>#}
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="white-box">
            <svg class="hidden">
                <defs>
                    <path id="tabshape" d="M80,60C34,53.5,64.417,0,0,0v60H80z"></path> </defs>
            </svg>
            <section class="m-t-40">
                <div class="sttabs tabs-style-shape">
                    <nav>
                        <ul>
                            {% for group in groups %}
                            <li class="">
                                <a href="#{{ group.GroupName }}">
                                    <svg viewBox="0 0 80 60" preserveAspectRatio="none">
                                        <use xlink:href="#tabshape"></use>
                                    </svg>
                                    <svg viewBox="0 0 80 60" preserveAspectRatio="none">
                                        <use xlink:href="#tabshape"></use>
                                    </svg>
                                    <span>{{ group.GroupName }}</span>

                                </a>
                            </li>
                            {% endfor %}
                        </ul>
                    </nav>
                    <div class="content-wrap">
                        {% for group in groups %}
                            <section id="{{ group.GroupName }}" class="">
                            <div class="table-responsive">
                                <table class="table table-hover manage-u-table">
                                    <thead>
                                        <tr>
                                            <th class="text-center">NAME</th>
                                            <th>GROUP</th>
                                            <th>LAST TASK</th>
                                            <th width="250">BRANCHES</th>
                                            <th width="300">MANAGE</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    {% for project in group.Project.all %}
                                        <tr>
                                            <td class="text-center">{{ project.name }}</td>
                                            <td>{{ group.GroupName }}</td>
                                            <td>{{ project.tasks_set.last.commits_message }}
                                                <br><span class="text-muted">{{ project.tasks_set.last.create_time }}</span></td>
                                            <td>
                                                <select class="form-control">
                                                    {% for branch in project.branches.all %}
                                                        <option>{{ branch.branch_name }}</option>
                                                    {% endfor %}
                                                </select>
                                            </td>
                                            <td>
                                                <a href="/tasks/admin/delete_project/?project_name={{ project.name }}"><button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5"><i class="ti-trash"></i></button></a>
                                                <button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5" onclick="UpdateProject(this, '{{ project.name }}')"><i class="ti-pencil-alt"></i></button>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                            </section>
                        {% endfor %}
                    </div>
                    <!-- /content -->
                </div>
                <!-- /tabs -->
            </section>

        </div>

    </div>

</div>
<div class="row">

    <div class="col-sm-12">
        <div class="panel">
            <div class="panel-heading">分组列表</div>
            <div class="table-responsive">
                <table class="table table-hover manage-u-table">
                    <thead>
                        <tr>
                            <th class="text-center">NAME</th>
                            <th width="300">MANAGE</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for group in groups %}
                        <tr>
                            <td class="text-center">{{ group.GroupName }}</td>
                            <td>
                                <a href="{% url 'tasks:delete_group' %}?group_name={{ group.GroupName }}"><button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5"><i class="ti-trash"></i></button></a>
                                <button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5" onclick="UpdateGroup('{{ group.GroupName }}')"><i class="ti-pencil-alt"></i></button>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="row">

    <div class="col-sm-12">
        <div class="panel">
            <div class="panel-heading">分支列表</div>
            <div class="table-responsive">
                <table class="table table-hover manage-u-table">
                    <thead>
                        <tr>
                            <th class="text-center">NAME</th>
                            <th >PROJECT</th>
                            <th width="300">MANAGE</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for branch in branches %}
                        <tr>
                            <td class="text-center">{{ branch.branch_name }}</td>
                            <td>{{ branch.project_name }}</td>
                            <td>
                                <a href="{% url 'tasks:delete_branch' %}?branch_name={{ branch.branch_name }}&project_name={{ branch.project_name }}"><button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5"><i class="ti-trash"></i></button></a>
                                <a href="{% url 'tasks:update_branch' %}?branch_name={{ branch.branch_name }}&project_name={{ branch.project_name }}"><button type="button" class="btn btn-info btn-outline btn-circle btn-lg m-r-5"><i class="ti-pencil-alt"></i></button></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

{% endblock %}

{% block js %}
<script src="/static/cqcicd/admin/admin.js"></script>
<script src="/static/newpages/js/cbpFWTabs.js"></script>
<script type="text/javascript">
    (function() {
        [].slice.call(document.querySelectorAll('.sttabs')).forEach(function(el) {
            new CBPFWTabs(el);
        });
    })();
</script>
{% endblock %}